org.apache.ant.compress.util

## Class SevenZStreamFactory.SevenZArchiveOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.compress.archivers.ArchiveOutputStream
    - - org.apache.ant.compress.util.SevenZStreamFactory.SevenZArchiveOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    SevenZStreamFactory

      public static class SevenZStreamFactory.SevenZArchiveOutputStream
      extends org.apache.commons.compress.archivers.ArchiveOutputStream

  Not really a stream but provides an ArchiveOutputStream compatible interface over SevenZOutputFile.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SevenZArchiveOutputStream(java.io.File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `closeArchiveEntry()`
    `org.apache.commons.compress.archivers.ArchiveEntry` | `createArchiveEntry(java.io.File inputFile, java.lang.String entryName)`
    `void` | `finish()`
    `void` | `putArchiveEntry(org.apache.commons.compress.archivers.ArchiveEntry entry)`
    `void` | `setContentCompression(org.apache.commons.compress.archivers.sevenz.SevenZMethod method)`
    `void` | `setContentMethods(java.lang.Iterable methods)`
    `void` | `write(byte[] b, int off, int len)`

    - ### Methods inherited from class org.apache.commons.compress.archivers.ArchiveOutputStream

      `canWriteEntryData, count, count, getBytesWritten, getCount, write`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SevenZArchiveOutputStream

          public SevenZArchiveOutputStream(java.io.File file)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### putArchiveEntry

          public void putArchiveEntry(org.apache.commons.compress.archivers.ArchiveEntry entry)
                               throws java.io.IOException

      Specified by:
        `putArchiveEntry` in class `org.apache.commons.compress.archivers.ArchiveOutputStream`
      Throws:
        `java.io.IOException`

    - #### closeArchiveEntry

          public void closeArchiveEntry()
                                 throws java.io.IOException

      Specified by:
        `closeArchiveEntry` in class `org.apache.commons.compress.archivers.ArchiveOutputStream`
      Throws:
        `java.io.IOException`

    - #### finish

          public void finish()
                      throws java.io.IOException

      Specified by:
        `finish` in class `org.apache.commons.compress.archivers.ArchiveOutputStream`
      Throws:
        `java.io.IOException`

    - #### createArchiveEntry

          public org.apache.commons.compress.archivers.ArchiveEntry createArchiveEntry(java.io.File inputFile,
                                                                                       java.lang.String entryName)
                                                                                throws java.io.IOException

      Specified by:
        `createArchiveEntry` in class `org.apache.commons.compress.archivers.ArchiveOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### setContentCompression

          public void setContentCompression(org.apache.commons.compress.archivers.sevenz.SevenZMethod method)

    - #### setContentMethods

          public void setContentMethods(java.lang.Iterable methods)